CenPOS

How to enable CenPOS Credit Card on a merchant.

CenPOS is a payment gateway supporting credit card authorization, capture, load, and refund through the CenPOS REST transaction API.

Features

Refund A creditcard payment processed with CenPOS can be / according to its status.
Payment Authorization Payments can be authorized by customers using Credit Card.
Payment Capture Payment authorizations made using Credit Card payment methods can be captured. This step happens automatically with CHARGE transactions.

Resources

Configuration

Obtain API credentials (username and password) and your merchant ID from CenPOS. Use the staging host (abistaging.cenpos.net) for testing and production host for live traffic.

This table describes the required or possible attributes needed to configure a merchant product for this type.

NameTypeDescriptionRules
hoststring(required) The CenPOS API host. Use the staging host for testing. Examples: abistaging.cenpos.net, abi.cenpos.net.
merchantIdstring(required) CenPOS merchant identifier used in the transaction API path. Examples: 790010220.
basicAuthobject(required) Username and password for Basic authentication. Examples: [object Object].

Enabling this Product

Using create-merchant-product API you can add a new product to your merchant record. Below is an example configuration for the payload of that request.

{
  "line": "payments",
  "product": "creditcard",
  "provider": "cenpos",
  "config": {
    "host": "abi.cenpos.net",
    "merchantId": "790010220",
    "basicAuth": {
        "username": "integration",
        "password": "your_password_here"
    }
},
  
}

Data Mapping

The following bullet points outline the mapping of data fields between the Authvia platform and the CenPOS system, detailing the correspondence of specific attributes for seamless data integration.

  • Authvia transaction.references.external maps to CenPOS Invoice.InvoiceNumber
  • Authvia transaction.id maps to CenPOS Invoice.InvoiceNumber
  • Authvia transaction.amount maps to CenPOS Invoice.Amount
  • Authvia transaction.currency maps to CenPOS Invoice.CurrencyCode
  • Authvia transaction.paymentMethod.cardNumber maps to CenPOS Card.CardNumber
  • Authvia transaction.paymentMethod.expirationMonth maps to CenPOS Card.CardExpirationDate
  • Authvia transaction.paymentMethod.cvv maps to CenPOS Card.Prompts[CVV].Value
  • Authvia transaction.paymentMethod.streetAddress maps to CenPOS Customer.Address.StreetAddress
  • Authvia transaction.paymentMethod.email maps to CenPOS Customer.EmailAddress
  • Authvia transaction.stepResults.AUTHORIZE.id maps to CenPOS OriginalReferenceNumber
  • Authvia transaction.references.gateway maps to CenPOS OriginalReferenceNumber
  • Authvia transaction.references.gateway maps to CenPOS GET /transactions/{referenceNumber}